Server error:

3rd AnGle

Well-known member
What could have gone wrong here..??

Server Error

SimpleXMLElement::__construct() [<a href='simplexmlelement.--construct'>simplexmlelement.--construct</a>]: /home/hippy/public_html/community/install/data/phrases.xml:144: parser error : AttValue: ' expected
  1. XenForo_Application::handlePhpError()
  2. SimpleXMLElement->__construct()in/home/hippy/public_html/community/library/XenForo/CacheRebuilder/ImportPhrase.phpat line32
  3. XenForo_CacheRebuilder_ImportPhrase->rebuild()in/home/hippy/public_html/community/library/XenForo/ControllerHelper/CacheRebuild.phpat line26
  4. XenForo_ControllerHelper_CacheRebuild->rebuildCache()in/home/hippy/public_html/community/library/XenForo/Install/Controller/Install.phpat line243
  5. XenForo_Install_Controller_Install->actionStep2b()in/home/hippy/public_html/community/library/XenForo/FrontController.phpat line303
  6. XenForo_FrontController->dispatch()in/home/hippy/public_html/community/library/XenForo/FrontController.phpat line132
  7. XenForo_FrontController->run()in/home/hippy/public_html/community/install/index.phpat line17

I checked with the hostgator (where it is hosting) and They are using some 5.2... version of php
and they told me to add (PHP 5.3 handler)

Action application/x-hg-php53 /cgi-sys/php53
AddType application/x-hg-php53 .php

Which i did at the end of the htaccess file. but what's confusing is that it passed through the server requirement check which happens automatically before the install process without adding the PHP 5.3 handler.

Help would be highly appreciated.
 

Brandon Sheley

Well-known member
I'm getting a similar error upgrading from 1.1.2 to 1.1.3


Server Error
Server Error

SimpleXMLElement::__construct() [<a href='simplexmlelement.--construct'>simplexmlelement.--construct</a>]: /home/xxxx/public_html/install/data/phrases.xml:4803: parser error : CData section not finished You must enter your
  1. XenForo_Application::handlePhpError()
  2. SimpleXMLElement->__construct() in XenForo/CacheRebuilder/ImportPhrase.php at line 34
  3. XenForo_CacheRebuilder_ImportPhrase->rebuild() in XenForo/ControllerHelper/CacheRebuild.php at line 26
  4. XenForo_ControllerHelper_CacheRebuild->rebuildCache() in XenForo/Install/Controller/Upgrade.php at line 232
  5. XenForo_Install_Controller_Upgrade->actionRebuild() in XenForo/FrontController.php at line 310
  6. XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 132
  7. XenForo_FrontController->run() in /home/admntalk/public_html/install/index.php at line 18
Also I see this when trying to run the upgrade window.. it would be handy if we're told which files are wrong so we can upload those files.
Those of us with spotty and sometimes slow internet would rather upload 2 files, verses the whole upgrade zip again.
There are at least 2 file(s) that do not appear to have the expected contents. Reupload the XenForo files and refresh this page. Only continue if you are sure all files have been uploaded properly.
 

Brandon Sheley

Well-known member
Reupload the install/data folder. That's where the XML files are.
I have 3 times now, no changes
I even tried a new browser

I'm now uploading the whole upgrade folder again :(

still getting this screen..

There are at least 2 file(s) that do not appear to have the expected contents. Reupload the XenForo files and refresh this page. Only continue if you are sure all files have been uploaded properly.
guess I'll upload the entire zip (not just the upgrade) folder since I don't know what "2" files are missing..
 

CTXMedia

Formerly CyclingTribe
Have you made any manual changes to any core files? Maybe some time ago and you've perhaps forgotten? Customised something on your board to suit you/your membership?

It could be that the two files are nothing at all to do with the upgrade file set you've just uploaded!!!

Presumably the routine checks all XF files (rather than just the upgraded ones) and will report back about any changed files - even if they're not included in an upgrade package contents?

If that's the case and you know you have manually altered two files outside of the upgrade file set - you should be fine to continue and complete the upgrade process.

Just a thought. (y)
 

Brandon Sheley

Well-known member
so I let all the files upload last night and now I can't even run the upgrade

Parse error: syntax error, unexpected $end, expecting ')' in /home/xxxxx/public_html/library/XenForo/Dependencies/Admin.php on line 141

this is wonderful...
 

Brandon Sheley

Well-known member
well my sites been down since last night...

I don't see why I'm getting a phrase error, I've uploaded all the files a number of times now :(

Guess I'll try uploading all files for the 4th time since support hasn't helped out much in the last 3 hours..
 

CTXMedia

Formerly CyclingTribe
Have you tried doing a fresh download of the upgrade package from XenForo?

Just in case the one you've got didn't come over completely (clutching at straws but may be worth a try?). (y)
 

Brandon Sheley

Well-known member
Have you tried doing a fresh download of the upgrade package from XenForo?

Just in case the one you've got didn't come over completely (clutching at straws but may be worth a try?). (y)
ya good idea
I'm going to grab a new copy and try this again


it kills me that my site has been down so long :(
 

Brandon Sheley

Well-known member
Did you do a test upgrade first?
no I rarely do test upgrades on my sites

The issue was my hosting package for that site had reached its quota, I bumped that up and uploaded again and we're golden :)

It doesn't help that my internet atm is sub-par

Thanks for the help everyone (y)
 
Top